# TypeCode_Case_T.h File Reference

`#include "ace/config-all.h"`
`#include "tao/TypeCode_Case.h"`

Include dependency graph for TypeCode_Case_T.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | TAO
namespace | TAO::TypeCode

## Classes

class | TAO::TypeCode::Case_T< DiscriminatorType, StringType, TypeCodeType >
| Representation of an OMG IDL defined `union` `case`. More...

## Detailed Description

Id
  TypeCode_Case_T.h,v 1.2 2005/05/27 20:33:55 michel_j Exp

Header file for `TAO::TypeCode::Case_T` template.

Author:
  Ossama Othman